import React from "react";
import { render } from "react-dom";
import "./index.css";
import App from "./App";
import reportWebVitals from "./reportWebVitals";

if (
  process.env.NODE_ENV === "development" &&
  process.env.REACT_APP_MOCK_CCCE_API === "YES"
) {
  const { worker } = require("./mocks/browser");
  worker.start();
}

if (
  process.env.NODE_ENV === "development" &&
  process.env.REACT_APP_MOCK_CCCE_API === "YES"
) {
  const { worker } = require("./mocks/browser");
  worker.start();
}

const container = document.getElementById("root");

render(
  <React.StrictMode>
    <App />
  </React.StrictMode>,
  container
);

// If you want to start measuring performance in your app, pass a function
// to log results (for example: reportWebVitals(console.log))
// or send to an analytics endpoint. Learn more: https://bit.ly/CRA-vitals
reportWebVitals();
